it-swarm-ko.tech

WordPress 및 플러그인 업그레이드; 문제를 피하기위한 팁?

모든 플러그인과 함께 WordPress 2.7.1을 3.0.1로 업그레이드 할 때 문제없이 할 수있는 팁이 있습니까?

편집 : 9 월 7 일

Dashboard는 WordPress 버전 및 일부 플러그인에 대해 "새 버전 사용 가능"을 표시합니다.

그래서 나는 모든 것을 업그레이드하고 싶습니다. 그렇다면 무엇을 먼저 업그레이드해야합니까, WordPress 또는 플러그인입니까?

그리고 자동 업데이트 대시 보드 또는 FTP를 통해 수동으로 업데이트하는 것이 가장 좋습니다

5
metal-gear-solid

당신은 아무런 문제가 없어야합니다 ...하지만 업그레이 드를하기 전에 다음을 수행하는 것이 좋습니다 :

모든 것을 백업하십시오.

  1. 테마 백업
  2. 모든 플러그인을 백업하십시오.
  3. 기존 데이터베이스 백업

필요한 경우 업그레이드를 "실행 취소"할 수 있습니다.

테마 호환성 확인

일반적으로 사용 가능한 테마를 사용하는 경우 업그레이드하기 전에 WordPress 3.0.1과 호환되는지 확인하십시오. 기회는 좋지만 업그레이드하기 전에 다시 확인할 수 있으면 잠재적 인 두통을 줄일 수 있습니다. 사람들이 버전 2.0에서 버전 2.9로 업그레이드하려고 시도한 것을 보았습니다. 이후 테마가 파기되었습니다 ...

플러그인 호환성 확인

일부 플러그인은 WordPress의 새 버전에서 작동하지 않을 수 있습니다. 업그레이드하기 전에 호환성이 있는지 확인하십시오. 그렇지 않은 경우 플러그인이 잠재적으로 중단 될 수 있도록 준비하십시오. 따라서 절대적인 필요성이있는 경우 잠재적 대안을 찾아보십시오. 일하지 마라.

나는 다양한 캘린더 플러그인을 WordPress의 새 버전에서 사용하지 못하게했습니다 ... 그래서 뭔가 잘못되었을 때 사용할 수있는 옵션이 있는지 확인하십시오.

어쨌든 모든 것이 작동하도록 준비하십시오.

지난 몇 주 동안 몇 가지 시스템을 2.7.X에서 3.0으로 업그레이드했습니다. 그래서 매우 좋은 기회 로 당신의 업데이트가 장애없이 진행될 것이며 이러한 사전 예방 조치는 시간 낭비입니다. 그러나 업그레이드 후 부러진 사이트를 수정해야하는 것보다 시간 을 낭비하는 것이 좋습니다 .

최종 제안

플러그인을 한 번에 하나씩 업그레이드하십시오. 한 번에 모든 것을 업그레이드하는 경우 오류가 발생한 원인을 추적하는 것이 어려울 수 있습니다. 플러그 인을 한 번에 하나씩 업그레이드하면 문제를 격리하고 수정하는 데 도움이됩니다. 업그레이드 후에 플러그인이 작동하지 않으면 항상 이전에 백업 한 것으로 돌아갈 수 있습니다.

3
EAMann

EAMann의 답변에 추가 할 것은 테스트 버전의 사이트를 설정하여 아무런 결과없이 모의 업그레이드를 할 수 있다는 것입니다. 그런 다음 문제가있는 경우 변경하기 전에 변경 사항을 알고 수정 (잘하면)하십시오. 이것은 자주 백업하는 대신에 사용할 수있는 것은 아닙니다.

3
John P Bloch